---
apiVersion: batch/v1
kind: CronJob
metadata:
  name: airm-cluster-nodes-dispatcher
  namespace: airm
spec:
  concurrencyPolicy: Replace
  jobTemplate:
    spec:
      template:
        spec:
          containers:
            - command:
                - curl
                - -X
                - POST
                - http://airm-dispatcher:80/v1/clusters/nodes
              image: ghcr.io/silogen/airm-dispatcher:v2025.09.001
              imagePullPolicy: IfNotPresent
              name: airm-cluster-nodes-cron
              resources:
                limits:
                  memory: 100Mi
                requests:
                  cpu: 50m
                  memory: 100Mi
          restartPolicy: OnFailure
  schedule: 0 * * * *
